
Redmine - Feature #31444

Add  "<< me >>" option to user format issue custom fields

2019-05-24 12:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Currently, user format custom fields list member of the project, but "<< me >>" option which you can see in the Assignee field is not

included in the list.

I think custom fields should have "<< me >>" option like the Assignee field for better usability and UI consistency.

Associated revisions

Revision 18288 - 2019-06-20 11:05 - Jean-Philippe Lang

Add "<< me >>" option to user format issue custom fields (#31444).

Patch by Mizuki ISHIKAWA.

Revision 18302 - 2019-06-20 18:35 - Jean-Philippe Lang

Test failure (#31444).

History

#1 - 2019-05-28 09:01 - Mizuki ISHIKAWA

- File feature-31444.patch added

- File result.png added

I attached a patch to add this feature.

Add "<< me >>" only when login user is included in the options.

 result.png 

#2 - 2019-06-01 10:41 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#3 - 2019-06-05 08:23 - akitani ryo

confirmed.

I think there is no problem.

#4 - 2019-06-18 03:58 - Mizuki ISHIKAWA

akitani ryo wrote:

confirmed.

I think there is no problem.

 Thank you for confirming!

#5 - 2019-06-20 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Committed, thanks.

#6 - 2019-06-20 16:34 - Go MAEDA

- Status changed from Closed to Reopened

The test fails randomly.

Failure:

Redmine::UserFieldFormatTest#test_possible_values_options_should_return_project_members_and_me_if_logged_in [/

var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/sqlite3/RUBY_VER/ruby-2.6/test/unit/lib/redmine/field_format/

user_field_format_test.rb:89]:

--- expected

+++ actual

@@ -1 +1 @@

-["<< me >>", "Dave Lopper", "John Smith"]

+["<< moi >>", "Dave Lopper", "John Smith"]

bin/rails test test/unit/lib/redmine/field_format/user_field_format_test.rb:84

 It can be fixed with the following patch.

Index: test/unit/lib/redmine/field_format/user_field_format_test.rb

===================================================================

--- test/unit/lib/redmine/field_format/user_field_format_test.rb    (リビジョン 18300)

+++ test/unit/lib/redmine/field_format/user_field_format_test.rb    (作業コピー)

@@ -82,6 +82,7 @@

   end

   def test_possible_values_options_should_return_project_members_and_me_if_logged_in

+    ::I18n.locale = 'en'

     User.current = User.find(2)

     field = IssueCustomField.new(:field_format => 'user')

     project = Project.find(1)

#7 - 2019-06-20 18:36 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Committed, thanks.

Files

feature-31444.patch 3.65 KB 2019-05-28 Mizuki ISHIKAWA

result.png 123 KB 2019-05-28 Mizuki ISHIKAWA
